const TypedError = require('error/typed')

const implementationError = TypedError({
  type: 'implementationError',
  message: 'Implementation error',
})

const argumentError = TypedError({
  type: 'argumentError',
  message: 'Argument error',
})

const connectionError = TypedError({
  type: 'connectionError',
  message: 'Connection error',
})

module.exports = {
  implementationError,
  argumentError,
  connectionError,
}
